Subject: Re: [PATCH] installer: Create bios_grub partition when it is needed.

From: Brendan Tildesley <[email-masked]>
Date: Sun, 18 Oct 2020 13:02:20 +1100

On 17/10/20 11:09 pm, Miguel Ángel Arruga Vivas wrote:
> Hi,
>
> Brett Gilio <[email-masked]> writes:
>> Ludovic Courtès <[email-masked]> writes:
>>> Shouldn’t it create a “legacy” partition table rather than GPT since
>>> we’re on an old, non-UEFI platform?
>> That is my thinking as well, it should create a legacy MBR table.
> IMHO the old format should be avoided completely when possible.  Why
> should we enforce it?
>
> I think this problem involves having a previous ESP partition on the
> disk (at least identified as such by parted), because auto-partition!
> currently checks that before checking if the booted system has EFI
> support.  When that's the case, it doesn't create the needed bios_grub
> partition that might have been removed previously.
>
> The attached patch solves that.  What do you think?
>
> Happy hacking,
> Miguel

I'm about to give it a test run. Unrelated to the patch, but, I'm 
building the installer (gnu/system/install.scm) on latest master and I 
get the following warnings/errors, although it doesn't stop the build 
from completing. is it a bug?

https://paste.debian.net/plain/1167398